Moderation V1
Modmail Create V1
Create a new modmail conversation. Requires moderator privileges.
POST /api/v1/moderate/modmail/create
Create a new modmail conversation. Requires moderator privileges.
Body parameters
| Name | Type | Required | Description |
|---|---|---|---|
to | string | Yes | Recipient username. |
body | string | Yes | Message body — plain text or Reddit markdown both work. |
srName | string | Yes | Subreddit name to send modmail from. |
subject | string | Yes | Message subject. |
bearer | string | No | Bearer token. Optional if stored in Token Vault. |
proxy | string | No | Proxy. Optional if stored in Token Vault. |
isAuthorHidden | string | No | Hide moderator identity (default: false). |
Authentication
| Header | Value |
|---|---|
X-RapidAPI-Key | Your RapidAPI key |
X-RapidAPI-Host | red-crawler1.p.rapidapi.com |
Example request
cURL
curl -X POST "https://red-crawler1.p.rapidapi.com/api/v1/moderate/modmail/create" \
-H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
-H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com" \
-H "Content-Type: application/json" \
--data '{"to": "<to>", "body": "<body>", "srName": "<srName>", "subject": "<subject>", "bearer": "<bearer>", "proxy": "<proxy>", "isAuthorHidden": "false"}'JavaScript
const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v1/moderate/modmail/create", {
method: "POST",
headers: {
"X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
"X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
},
body: JSON.stringify({
"to": "<to>",
"body": "<body>",
"srName": "<srName>",
"subject": "<subject>",
"bearer": "<bearer>",
"proxy": "<proxy>",
"isAuthorHidden": "false"
})
});
const data = await res.json();
console.log(data);Python
import requests
url = "https://red-crawler1.p.rapidapi.com/api/v1/moderate/modmail/create"
headers = {
"X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
"X-RapidAPI-Host": "red-crawler1.p.rapidapi.com",
"Content-Type": "application/json"
}
payload = {
"to": "<to>",
"body": "<body>",
"srName": "<srName>",
"subject": "<subject>",
"bearer": "<bearer>",
"proxy": "<proxy>",
"isAuthorHidden": "false"
}
resp = requests.post(url, headers=headers, json=payload)
print(resp.json())Example response
HTTP 200 — captured from a live call to the gateway.
{
"success": true,
"data": {
"conversation": {
"isAuto": false,
"participant": {
"isMod": false,
"isAdmin": false,
"name": "Educational_Data_269",
"isOp": false,
"isParticipant": true,
"isApproved": true,
"isHidden": false,
"id": 173834912365252,
"isDeleted": false
},
"objIds": [
{
"id": "4u44dp",
"key": "messages"
}
],
"isRepliable": true,
"lastUserUpdate": null,
"isInternal": false,
"lastModUpdate": "2026-04-29T15:53:28.079000+0000",
"authors": [
{
"isMod": true,
"isAdmin": false,
"name": "Motor_Tip8865",
"isOp": true,
"isParticipant": false,
"isApproved": true,
"isHidden": false,
"id": 230442051071342,
"isDeleted": false
},
{
"isMod": false,
"isAdmin": false,
"name": "Educational_Data_269",
"isOp": false,
"isParticipant": true,
"isApproved": true,
"isHidden": false,
"id": 173834912365252,
"isDeleted": false
}
],
"lastUpdated": "2026-04-29T15:53:28.079000+0000",
"participantSubreddit": {},
"legacyFirstMessageId": "MATRIXCHAT_!3vLtzABhT_emJT09toiEiw:reddit.com_$OBwXdXkUBkWbZC0DydxVlzYnke-G9vt4S3NlNWFX2CA",
"state": 0,
"conversationType": "sr_user",
"lastUnread": null,
"owner": {
"displayName": "RedCrawlerAPI",
"type": "subreddit",
"id": "t5_hmeujo"
},
"subject": "test Modmail Create V1",
"id": "3dma9h",
"isHighlighted": false,
"numMessages": 1
},
"participantSubreddit": {},
"messages": {
"4u44dp": {
"body": "<!-- SC_OFF --><div class=\"md\"><p>body Modmail Create V1</p>\n</div><!-- SC_ON -->",
"author": {
"name": "Motor_Tip8865",
"isApproved": true,
"isMod": true,
"isAdmin": false,
"isOp": true,
"isParticipant": false,
"isHidden": false,
"id": 230442051071342,
"isDeleted": false
},
"isInternal": false,
"date": "2026-04-29T15:53:28.079000+0000",
"bodyMarkdown": "body Modmail Create V1",
"id": "4u44dp",
"participatingAs": "moderator"
}
},
"user": {
"recentComments": {},
"muteStatus": {
"muteCount": 0,
"isMuted": false,
"endDate": null,
"reason": ""
},
"name": "Educational_Data_269",
"created": "2025-05-18T10:11:09.949000+00:00",
"banStatus": {
"endDate": null,
"reason": "",
"isBanned": false,
"isPermanent": false
},
"isSuspended": false,
"approveStatus": {
"isApproved": true
},
"isShadowBanned": false,
"recentPosts": {},
"recentConvos": {
"3dma8i": {
"date": "2026-04-29T15:53:09.886000+0000",
"permalink": "https://mod.reddit.com/mail/perma/3dma8i",
"id": "3dma8i",
"subject": "you are an approved user"
},
"3dma9h": {
"date": "2026-04-29T15:53:28.079000+0000",
"permalink": "https://mod.reddit.com/mail/perma/3dma9h",
"id": "3dma9h",
"subject": "test Modmail Create V1"
}
},
"id": "t2_1pmanmjd1g"
},
"modActions": {}
},
"error": null,
"timestamp": "2026-04-29T15:53:28.616713+00:00"
}